---
title: PositionOptions.maximumAge
slug: Web/API/PositionOptions/maximumAge
tags:
  - API
  - Geolocation API
  - NeedsExample
  - PositionOptions
  - Property
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>PositionOptions.maximumAge</strong></code> property is a positive <code>long</code> value indicating the maximum age in milliseconds of a possible cached position that is acceptable to return. If set to <code>0</code>, it means that the device cannot use a cached position and must attempt to retrieve the real current position. If set to <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code> the device must return a cached position regardless of its age.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>positionOptions</var>.maximumAge = <var>timeLength</var>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Geolocation', '#dom-positionoptions-maximumage', 'PositionOptions.maximumAge')}}</td>
			<td>{{Spec2('Geolocation')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PositionOptions.maximumAge")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/WebAPI/Using_geolocation">Using geolocation</a></li>
	<li>The {{domxref("PositionOptions")}} interface it belongs to.</li>
</ul>
